Subject: bug#19909: closed (Re: bug#19909: [PATCH] Error out if with-file-notification=w32 is specified on cygwin)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Mar 2015 14:06:02 +0000

Your bug report

#19909: [PATCH] Error out if with-file-notification=w32 is specified on cygwin

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19909: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19909
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19909: [PATCH] Error out if with-file-notification=w32 is specified on cygwin
From: Ken Brown <[email-masked]>
To: Robert Pluim <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Mon, 02 Mar 2015 09:05:40 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 3/2/2015 4:35 AM, Robert Pluim wrote:
> I'd prefer "Robert Pluim" but it's not a big deal.

OK, I've pushed the change to the master branch and am closing the bug.

> It does show that
> there's a variable somewhere that I haven't set correctly though, since
> that ChangeLog entry should never have said "rpluim"

I think user-full-name is what you're looking for.

Ken

Subject: [PATCH] Error out if with-file-notification=w32 is specified on cygwin
From: Robert Pluim <[email-masked]>
To: [email-masked]
Date: Fri, 20 Feb 2015 10:47:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

It's a combination that won't compile, so it's probably best to error
out during configure.

diff --git a/ChangeLog b/ChangeLog
index 4365668..dec9ce0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2015-02-20  rpluim  <[email-masked]>
+
+	* configure.ac: Error out if with-file-notification=w32 is
+	specified on cygwin.
+
 2015-02-13  Jan Djärv  <[email-masked]>
 
 	* configure.ac: Set locallisppath to empty for NS self contained,
diff --git a/configure.ac b/configure.ac
index 0bcc55c..048168a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2659,6 +2659,10 @@ fi
 
 dnl MS Windows native file monitor is available for mingw32 only.
 case $with_file_notification,$opsys in
+  w32,cygwin)
+    AC_MSG_ERROR([`--with-file-notification=w32' was specified, but
+    this is only supported on MS-Windows native and MinGW32 builds])
+    ;;
   w32,* | yes,mingw32)
     AC_CHECK_HEADER(windows.h)
     if test "$ac_cv_header_windows_h" = yes ; then